//get the html elements
const addUserForm = document.querySelector('#addUserForm');
const addUserBtn = document.querySelector('#addUserBtn');
const addUserReport = document.querySelector('#addUserReport');
//get inputs elements
const fName = document.querySelector('#fName');
const fNameReportAreya = document.querySelector('#fNameReportAreya');
const lName = document.querySelector('#lName');
const lNameReportAreya = document.querySelector('#lNameReportAreya');
const phone = document.querySelector('#phone');
const phoneReportAreya = document.querySelector('#phoneReportAreya');
const email = document.querySelector('#email');
const emailReportAreya = document.querySelector('#emailReportAreya');
const address = document.querySelector('#address');
const addressReportAreya = document.querySelector('#addressReportAreya');
const password = document.querySelector('#password');
const passwordReportAreya = document.querySelector('#passwordReportAreya');
const image = document.querySelector('#image');



//send the data
addUserForm.addEventListener('submit', updateUserFunc);
function updateUserFunc(e) {
    e.preventDefault();
    //empty validation
    if (!emptyValidation(fName, fNameReportAreya, 'الاسم الاول مطلوب')) return;
    if (!emptyValidation(lName, lNameReportAreya, 'الاسم الاخير مطلوب')) return;
    if (!emptyValidation(phone, phoneReportAreya, 'رقم الهاتف مطلوب')) return;
    //expression validation
    if (!regullerExpression(phone, phoneReportAreya, 'رقم الهاتف غير صالح', '[0-9]{10}')) return;
    if (!regullerExpression(email, emailReportAreya, 'الايميل غير صالح', '[a-zA-Z0-9._-]{3,}@[a-zA-Z0-9.-]{3,}[.]{1}[A-Za-z0-9]{2,}')) return;
    //empty validation
    if (!emptyValidation(password, passwordReportAreya, 'كلمة المرور مطلوبة'));
    if (!emptyValidation(address, addressReportAreya, 'العنوان المرور مطلوب'));
    let formData = new FormData(this);

    // send the ajax request
    $.ajax({
        url: 'http://www.ahlanwashlan.com/api/creatUser',
        type: 'post',
        data: new FormData(this),
        contentType: false,
        processData: false,
        beforeSend: function () 
        {
            addUserReport.innerHTML = '';
            addUserBtn.setAttribute('disabled', true);
            addUserBtn.value = 'الرجاء الانتظار';
        },
        success: function (data)
        {
            console.log(data);
            if (data.login_phone)
            {
                addUserBtn.removeAttribute('disabled');
                addUserBtn.value = 'تسجيل';
                addUserReport.innerHTML = `<h5 class="text-center text-success">
                     تهانينا ! تم تسجيل حسابك بنجاح
                </h5>`;
                addUserForm.reset();
            }
            else
            {
                addUserBtn.removeAttribute('disabled');
                addUserBtn.value = 'تسجيل';
                addUserReport.innerHTML = `<h5 class="text-center text-danger">
                    حدث خطأ الرجاء التأكد من اتمام البيانات و اعادة المحاولة
                </h5>`;
            }
        },
        error:function(error)
        {
            addUserBtn.removeAttribute('disabled');
            addUserBtn.value = 'تسجيل';
            addUserReport.innerHTML = `<h5 class="text-center text-danger">
                تحقق من الاتصال بالانترنت
            </h5>`;    
        }
    });
}


//controlle modal header icon
const modalIcone = document.querySelector('#modalIcone');
const customerTypeSelect = document.querySelector('#customerTypeSelect');
customerTypeSelect.addEventListener('change',function()
{
    console.log(customerTypeSelect.value);
    if (customerTypeSelect.value == 2)
    {
        modalIcone.classList.remove('fa-shopping-cart');
        modalIcone.classList.add('fa-motorcycle');
    }
    else
    {
        modalIcone.classList.add('fa-shopping-cart');
        modalIcone.classList.remove('fa-motorcycle');
    }
})