<?php
use  App\Helpers\paymentHelper;
use Illuminate\Http\Request;
use Illuminate\Support\Collection ;
use  App\Helpers\shopHelper;
use  App\Helpers\firebasePush;
use  App\Helpers\customerHelper;
use App\model\Delivery;
use  App\model\Configuration;
use  App\model\Dexpoint;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
$baseURL = 'http://www.dexoman.com';
View::share('baseURL',$baseURL );
View::share('storageUrl', $baseURL.'/storage/');
View::share('adminURL',  $baseURL.'/admin/');

$Configuration = Configuration:: first();
View::share('pickupicon', $Configuration->pickupIcon);
View::share('dropupicon', $Configuration->dropIcon);


Route::get('shopperResultUrl/{id}', function ($id) {
  $paymentHelper = new  paymentHelper;

    $responseData = $paymentHelper->transactionReport_marchent_Id($id);

        return  $responseData;

});


Route::get('thawani&paymentstate=success&deliveryid={deliveryid}', function ($deliveryid) {
  $paymentHelper = new  paymentHelper;
  
  $responseData = $paymentHelper->update_transactin_state($deliveryid);
  // $payment_status= $responseData['data']['payment_status'];

      return $responseData;
      

});
Route::get('thawani&paymentstate=fail&deliveryid={deliveryid}', function ($deliveryid) {
  return  'payment fail';


});
//push notification
Route::get('/admin/push', function (Request $request) {
return view('push_notification.push');
});   

Route::get('/admin/push/submit', function (Request $request) {
  $firebasePush = new  firebasePush;
  
  // $payment_status= $responseData['data']['payment_status'];

  $data = $request->all();
  // var_dump($data );
 

   $responseData = $firebasePush->firebasemsg($data )   ;
  return redirect('/admin/push'); 

   return $responseData;

});   
//push notification


// Shop edit-view
Route::get('/admin/shops/{id}/edit2', function ($id) {
    $shopHelper = new  shopHelper;
    $shop = $shopHelper->getAdminShopInfo($id);
  return view('shops.edit_shop')->with('shop', $shop);

  });   

Route::get('/admin/shops/id={id}', function ($id,Request $request) {
 
    $shopHelper = new  shopHelper;
    $shop = $shopHelper->getAdminShopInfo($id,$request);
  return view('shops.edit_shop')->with('shop', $shop);

}); 

// Shop edit-view


// driver edit-view
Route::get('/admin/customers/{id}/edit2', function ($id) {
  $customerHelper = new  customerHelper;
  $customer = $customerHelper->getDriverAdminInfo($id);
return view('drivers.edit_driver')->with('customer', $customer);

});   

Route::get('/admin/customers/{id}', function ($id,Request $request) {
  $customerHelper = new  customerHelper;
  $customer = $customerHelper->getDriverAdminInfo($id,$request);

return view('drivers.edit_driver')->with('customer', $customer);

}); 

Route::get('/admin/drivers', function () {
  $customerHelper = new  customerHelper;
  $drivers = $customerHelper->getDrivers();
// return $drivers;
return view('drivers.list_drivers')->with('customer', $drivers);
  });


  Route::get('/admin/dexpoints/list', function () {
    $dexpoints =  Dexpoint::
    //  where('nearbyorder', true)  ->
    orderBy('id', 'desc')
   -> paginate(100);


  return view('dexpoints.list_dexpoints')->with('dexpoints', $dexpoints);
    });
// driver-end





// orders
Route::get('/admin/get_orders', function () {
  $Order =  Delivery::
  //  where('nearbyorder', true)  ->
  orderBy('id', 'desc')
 -> paginate(100);

 

 $Order =  json_encode(array_values($Order->items()));
//  var_dump($Order);
//  die();
return view('orders.orders')->with('Order', $Order);



});   

Route::get('/admin/pdf',function(){
  $Order =  Delivery::
  //  where('nearbyorder', true)  ->
  orderBy('id', 'desc')
 -> paginate(100);

 $json = json_decode($Order);
  $csvfile = fopen('file.csv', 'w+');
  foreach ($json as $row) {
      $line = "'" . join("\",\"", $row) . "\"\n";
      fputs($csvfile, $line);
  }
  fclose($csvfile);
  return   $csvfile ;
});

Route::get('/admin/specail_orders', function () {
  $Order =  Delivery::
  //  where('nearbyorder', true)  ->
  orderBy('id', 'desc')
 -> paginate(100);



return view('orders.specail_orders');


});   
// orders-end


Route::get('/', function () {
// return Redirect::to('home');
    return view('almarid.web_index');
});


    
Route::get('/ajax', function () {
  return'ajax';
});

    
Route::get('/AppInfo/{appId}', function ($appId) {

    
    $AppInfo =  App\model\Appinformation:: where('id', $appId)->first();
   
    
    return $AppInfo;
  });
  
     



Route::group(['prefix' => 'admin'], function () {
    Voyager::routes();
});

